### Method

# Camel StreamMem set_buffer

#### Declaration [src]

    void
    camel_stream_mem_set_buffer (
      CamelStreamMem* mem,
      const gchar* buffer,
      gsize len
    )

#### Description [src]

Set `buffer` to be the backing data to the existing `CamelStreamMem`, `mem`.

Note: `buffer` will be copied into an internal `GByteArray` structure and so may have resource implications to consider.

#### Parameters

`buffer`

  Type: An array of `guint8`

  A memory buffer.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the method.

`len`

  Type: `gsize`

  Length of `buffer`.